Bug 1474891 - [starter-us-east-1] panic reported in atomic-openshift-master-api
[starter-us-east-1] panic reported in atomic-openshift-master-api
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Eads
DeShuai Ma
: DeliveryBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 11:07 EDT by Justin Pierce
Modified: 2017-09-11 16:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-11 16:45:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Pierce 2017-07-25 11:07:14 EDT
Description of problem:
Panic described in atomic-openshift-master-api logs. 

Version-Release number of selected component (if applicable):
3.6.152.0

How reproducible:
100%

Steps to Reproduce:
1. Run atomic-openshift-master-api and monitor journal
2.
3.

Actual results:
Jul 25 14:55:55 ip-172-31-54-162.ec2.internal atomic-openshift-master-api[75889]: E0725 14:55:55.228309   75889 wrap.go:34] APIServer panic'd on GET /oapi/v1/namespaces/indoor/builds?fieldSelector=status%3DNew: multiple NewLogged calls!


Expected results:


Additional info:
http://file.rdu.redhat.com/~jupierce/share/atomic-openshift-master-api.panic.log
Comment 5 DeShuai Ma 2017-07-26 01:17:22 EDT
Help verify the bug, thanks
Comment 6 DeShuai Ma 2017-07-28 04:55:38 EDT
We don't met this bug when test on openshift v3.6.172.0.0.
Verify the it.

Note You need to log in before you can comment on or make changes to this bug.